summaryrefslogtreecommitdiff
path: root/source4/selftest/test_win.sh
diff options
context:
space:
mode:
authorStefan Metzmacher <metze@samba.org>2007-04-29 20:37:59 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:51:46 -0500
commit1e84e4026e3c8f0b94cfaf61a089b075f07417f1 (patch)
tree091ad4a99b9f124ffcbf9dec2f7dcd8727851a11 /source4/selftest/test_win.sh
parent82ad0ea6eaab04cdb1739da468b5ed2169421439 (diff)
downloadsamba-1e84e4026e3c8f0b94cfaf61a089b075f07417f1.tar.gz
samba-1e84e4026e3c8f0b94cfaf61a089b075f07417f1.tar.bz2
samba-1e84e4026e3c8f0b94cfaf61a089b075f07417f1.zip
r22575: move script/tests/ -> selftest/
as discussed with jelmer and abartlet metze (This used to be commit e9fe3c40e10accb63d7a2124d3a7e77e499c4209)
Diffstat (limited to 'source4/selftest/test_win.sh')
-rwxr-xr-xsource4/selftest/test_win.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/source4/selftest/test_win.sh b/source4/selftest/test_win.sh
new file mode 100755
index 0000000000..4e5558c206
--- /dev/null
+++ b/source4/selftest/test_win.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+# A shell script to connect to a windows host over telnet,
+# setup for a smbtorture test,
+# run the test,
+# and remove the previously configured directory and share.
+# Copyright Brad Henry <brad@samba.org> 2006
+# Released under the GNU GPL v2 or later.
+
+. selftest/test_functions.sh
+
+export SMBTORTURE_REMOTE_HOST=`perl -I$WINTEST_DIR $WINTEST_DIR/vm_get_ip.pl VM_CFG_PATH`
+if [ -z $SMBTORTURE_REMOTE_HOST ]; then
+ # Restore snapshot to ensure VM is in a known state, then exit.
+ restore_snapshot "Test failed to get the IP address of the windows host." "$VM_CFG_PATH"
+ exit 1
+fi
+
+name="BASE against Windows 2003"
+testit "$name" smb $WINTEST_DIR/wintest_base.sh $SMBTORTURE_REMOTE_HOST \
+ $SMBTORTURE_USERNAME $SMBTORTURE_PASSWORD $SMBTORTURE_WORKGROUP
+
+name="RAW against Windows 2003"
+testit "$name" smb $WINTEST_DIR/wintest_raw.sh $SMBTORTURE_REMOTE_HOST \
+ $SMBTORTURE_USERNAME $SMBTORTURE_PASSWORD $SMBTORTURE_WORKGROUP
+
+name="RPC against Windows 2003"
+testit "$name" smb $WINTEST_DIR/wintest_rpc.sh $SMBTORTURE_REMOTE_HOST \
+ $SMBTORTURE_USERNAME $SMBTORTURE_PASSWORD $SMBTORTURE_WORKGROUP
+
+name="NET against Windows 2003"
+testit "$name" smb $WINTEST_DIR/wintest_net.sh $SMBTORTURE_REMOTE_HOST \
+ $SMBTORTURE_USERNAME $SMBTORTURE_PASSWORD $SMBTORTURE_WORKGROUP
+
+name="Windows 2003 against smbd"
+testit "$name" smb $WINTEST_DIR/wintest_client.sh $SMBTORTURE_REMOTE_HOST
+
+dc_tests="RPC-DRSUAPI RPC-SPOOLSS ncacn_np ncacn_ip_tcp"
+for name in $dc_tests; do
+ testit "$name against Windows 2003 DC" rpc $WINTEST_DIR/wintest_2k3_dc.sh \
+ "$name"
+done